-- Filename:     nand2.vhd
-- Filetype:     VHDL code (dataflow)
-- Date:         9 feb 2014
-- Update:       -
-- Description:  An example of a simple assignment
-- Author:       J. op den Brouw
-- State:        demo
-- Error:        -
-- Version:      1.0
-- Copyright:    (c)2014, De Haagse Hogeschool
--
-- This is an example of a simple Signal Assignment
-- which implements a 2-input NAND using std_ulogic
-- signals.
--
-- We need std_logic et al.

library ieee;
use ieee.std_logic_1164.all;

entity nand_2 is
    port (a, b:   in   std_ulogic;
          c:      out  std_ulogic);
end entity nand_2;

architecture logic of nand_2 is
signal int: std_ulogic; -- intern signaal
begin
    int <= a and b;
    c   <= not int;
end architecture logic;
